package com.ruoyi.back.service.impl;

import com.ruoyi.back.domain.BCustomerQuestionError;
import com.ruoyi.back.mapper.BCustomerQuestionErrorMapper;
import com.ruoyi.back.service.IBCustomerQuestionErrorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 题目纠错Service业务层处理
 * 
 * @author mingxue
 * @date 2021-11-29
 */
@Service
public class BCustomerQuestionErrorServiceImpl implements IBCustomerQuestionErrorService 
{
    @Autowired
    private BCustomerQuestionErrorMapper bCustomerQuestionErrorMapper;

    /**
     * 查询题目纠错
     * 
     * @param id 题目纠错ID
     * @return 题目纠错
     */
    @Override
    public BCustomerQuestionError selectBCustomerQuestionErrorById(Long id)
    {
        return bCustomerQuestionErrorMapper.selectBCustomerQuestionErrorById(id);
    }

    /**
     * 查询题目纠错列表
     * 
     * @param bCustomerQuestionError 题目纠错
     * @return 题目纠错
     */
    @Override
    public List<BCustomerQuestionError> selectBCustomerQuestionErrorList(BCustomerQuestionError bCustomerQuestionError)
    {
        return bCustomerQuestionErrorMapper.selectBCustomerQuestionErrorList(bCustomerQuestionError);
    }

    /**
     * 新增题目纠错
     * 
     * @param bCustomerQuestionError 题目纠错
     * @return 结果
     */
    @Override
    public int insertBCustomerQuestionError(BCustomerQuestionError bCustomerQuestionError)
    {
        return bCustomerQuestionErrorMapper.insertBCustomerQuestionError(bCustomerQuestionError);
    }

    /**
     * 修改题目纠错
     * 
     * @param bCustomerQuestionError 题目纠错
     * @return 结果
     */
    @Override
    public int updateBCustomerQuestionError(BCustomerQuestionError bCustomerQuestionError)
    {
        return bCustomerQuestionErrorMapper.updateBCustomerQuestionError(bCustomerQuestionError);
    }

    /**
     * 批量删除题目纠错
     * 
     * @param ids 需要删除的题目纠错ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerQuestionErrorByIds(Long[] ids)
    {
        return bCustomerQuestionErrorMapper.deleteBCustomerQuestionErrorByIds(ids);
    }

    /**
     * 删除题目纠错信息
     * 
     * @param id 题目纠错ID
     * @return 结果
     */
    @Override
    public int deleteBCustomerQuestionErrorById(Long id)
    {
        return bCustomerQuestionErrorMapper.deleteBCustomerQuestionErrorById(id);
    }
}
